package djmil.cordacheckers;

import net.corda.v5.application.flows.CordaInject;
import net.corda.v5.application.membership.MemberLookup;
import net.corda.v5.base.types.MemberX500Name;
import net.corda.v5.membership.MemberInfo;
import net.corda.v5.membership.NotaryInfo;

public class VNode {
    static final String CUSTODIAN = "Custodian";
    static final String NOTARY = "NotaryService";

    @CordaInject
    MemberLookup memberLookup;

    public static boolean isCordaCherckersPlayer(MemberInfo memberInfo) {
       return !isCordaCherckersCustodian(memberInfo);
    }

    public static boolean isCordaCherckersCustodian(MemberInfo memberInfo) {
        final MemberX500Name memberName = memberInfo.getName();

        return memberName.getCommonName().equals(CUSTODIAN);
    }

    public static boolean isCordaCherckersNotary(NotaryInfo notaryInfo) {
        final MemberX500Name memberName = notaryInfo.getName();
        
        return memberName.getCommonName().equals(NOTARY);
    }

}
