package djmil.cordacheckers.gameresult;

public class Rank {
    private Integer total;      // total played games
    private Integer victory;    // total won games
    private Integer draw;       // agreed draw with opponent

    // Serialisation service requires a default constructor
    public Rank() {
        total = 0;
        victory = 0;
        draw = 0;
    }

    public Rank(Integer total, Integer vicotry, Integer draw) {
        this.total = total;
        this.victory = vicotry;
        this.draw = draw;
    }

    Rank gamePlayed() {
        total++;
        return this;
    }

    Rank gameWon() {
        victory++;
        return this;
    }

    Rank gameDraw(boolean isDraw) {
        if (isDraw)
            draw++;

        return this;
    }

    public Integer getTotal() {
        return total;
    }

    public Integer getVictory() {
        return victory;
    }

    public Integer getDraw() {
        return draw;
    }

}
